Bug 252516 - mail/milter-greylist fails to start (milter-greylist-4.6.3)
Summary: mail/milter-greylist fails to start (milter-greylist-4.6.3)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-08 14:29 UTC by freebsd
Modified: 2021-01-13 19:50 UTC (History)
5 users (show)

See Also:
m.tsatsenko: maintainer-feedback+
dinoex: merge-quarterly-


Attachments
patch (1.58 KB, patch)
2021-01-11 23:21 UTC, m.tsatsenko
m.tsatsenko: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2021-01-08 14:29:09 UTC
Several FreeBSD 12.1 installations, i386 and amd64, are all failing with the same error using milter-greylist-4.6.3.

Jan  8 13:58:09 mxsrv01 sm-mta-in[66795]: 108Cw9mY066795: Milter (greylist): error connecting to filter: Connection refused by /var/milter-greylist/milter-greylist.sock
Jan  8 13:58:09 mxsrv01 sm-mta-in[66795]: 108Cw9mY066795: Milter (greylist): to error state
Jan  8 13:58:09 mxsrv01 sm-mta-in[66795]: 108Cw9mY066795: Milter: initialization failed, temp failing commands

The milter-greylist configuration (or the sendmail configuration) on all of these servers has not changed in years (updated, but not changed) and is 100% correct.

These permissions should be ok:

srwxr-xr-x  1 mailnull  mailnull  0 Jan  8 15:14 /var/milter-greylist/milter-greylist.sock

Please review.
Comment 1 freebsd 2021-01-08 14:32:59 UTC
Config in sendmail.rc is straightforward:

define(`confMILTER_MACROS_ENVRCPT', confMILTER_MACROS_ENVRCPT``, {greylist}'') INPUT_MAIL_FILTER(`greylist', `S=local:/var/milter-greylist/milter-greylist.sock, F=T, T=R:30s')

Hasn't changed in years.

From sendmail.cf:

# default UID (can be username or userid:groupid)
#O DefaultUser=mailnull

From passwd:

# finger mailnull
Login: mailnull                         Name: Sendmail Default User
Directory: /var/spool/mqueue            Shell: /usr/sbin/nologin
New mail received Mon Dec 21 21:05 2020 (CET)
     Unread since Tue Aug  7 16:07 2018 (CEST)
No Plan.

From groups:

mailnull:*:26:

All standard.
Comment 2 freebsd 2021-01-08 16:58:21 UTC
=>> Building mail/milter-greylist
build started at Fri Jan  8 04:03:08 CET 2021
port directory: /usr/ports/mail/milter-greylist
package name: milter-greylist-4.6.3
building for: FreeBSD Ben-FreeBSD12amd64-default-job-03 12.2-RELEASE-p2 FreeBSD 12.2-RELEASE-p2 amd64
maintained by: m.tsatsenko@gmail.com
Makefile ident:      $FreeBSD: head/mail/milter-greylist/Makefile 560697 2021-01-07 10:04:50Z brnrd $
Poudriere version: 3.3.99.20200326_2
Host OSVERSION: 1202000
Jail OSVERSION: 1202000
Job Id: 03

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1202000
UNAME_v=FreeBSD 12.2-RELEASE-p2
UNAME_r=12.2-RELEASE-p2
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.99.20200326_2
MASTERMNT=/data/poudriere/data/.m/Ben-FreeBSD12amd64-default/ref
LC_COLLATE=C
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=su
OUTPUT_REDIRECTED_STDERR=4
OUTPUT_REDIRECTED=1
PWD=/data/poudriere/data/.m/Ben-FreeBSD12amd64-default/ref/.p/pool
OUTPUT_REDIRECTED_STDOUT=3
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=Ben-FreeBSD12amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/data/poudriere/data/.m/Ben-FreeBSD12amd64-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for milter-greylist-4.6.3:
     CURL=off: curl support
     DKIM=on: DKIM support
     DOCS=on: Build and/or install documentation
     DRAC=off: DRAC support
     EXAMPLES=on: Build and/or install examples
     GEOIP=on: GeoIP IP location support
     LDAP=off: LDAP protocol support
     P0F=off: P0F support
     POSTFIX=off: Use Postfix instead of Sendmail
     SPAMASSASSIN=off: SpamAssassin support
     SPF=on: SPF support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
m.tsatsenko@gmail.com
--End MAINTAINER--

--CONFIGURE_ARGS--
--with-libopendkim=/usr/local --disable-drac --with-libmaxminddb=/usr/local --disable-p0f306 --disable-postfix --disable-spamassassin --with-libspf2=/usr/local --with-user=mailnull  --with-libmilter=/usr  --enable-dnsrbl  --with-thread-safe-resolver  --with-dumpfile=/var/milter-greylist/greylist.db --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/mail/milter-greylist/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/mail/milter-greylist/work  HOME=/wrkdirs/usr/ports/mail/milter-greylist/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/mail/milter-greylist/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=524288
--End CONFIGURE_ENV--

--MAKE_ENV--
OPENSSLBASE=/usr/local OPENSSLDIR=/usr/local/openssl OPENSSLINC=/usr/local/include OPENSSLLIB=/usr/local/lib OPENSSLRPATH=/usr/local/lib XDG_DATA_HOME=/wrkdirs/usr/ports/mail/milter-greylist/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/mail/milter-greylist/work  HOME=/wrkdirs/usr/ports/mail/milter-greylist/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/mail/milter-greylist/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing "  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -Wl,-rpath,/usr/lib:/usr/local/lib -L/usr/lib -Wl,-rpath,/usr/local/lib -fstack-protector-strong " LIBS="-lpthread"  CXX="c++" CXXFLAGS="-O2 -pipe -I/usr/include -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" PORTEXAMPLES="" OSREL=12.2 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/milter-greylist"  EXAMPLESDIR="share/examples/milter-greylist"  DATADIR="share/milter-greylist"  WWWDIR="www/milter-greylist"  ETCDIR="etc/milter-greylist"
--End PLIST_SUB--

--SUB_LIST--
 PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/milter-greylist DOCSDIR=/usr/local/share/doc/milter-greylist EXAMPLESDIR=/usr/local/share/examples/milter-greylist  WWWDIR=/usr/local/www/milter-greylist ETCDIR=/usr/local/etc/milter-greylist
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/Ben-FreeBSD12amd64-make.conf ####
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs

OPTIONS_UNSET=X11

WITH_PKGNG=yes


DEFAULT_VERSIONS=  php=73 apache=2.6 mysql=57 ssl=openssl

WITH_SSP_PORTS=yes

SENDMAIL_CF_DIR= /usr/local/share/sendmail/cf

LICENSES_ACCEPTED+= PDFlib
LICENSES_ACCEPTED+= DCC

#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 10.0.1 (git@github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: x86_64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 10.0.1 (git@github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: x86_64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 10.0.1 (git@github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: x86_64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=amd64
OPSYS=FreeBSD
_OSRELEASE=12.2-RELEASE-p2
OSREL=12.2
OSVERSION=1202000
PYTHONBASE=/usr/local
HAVE_COMPAT_IA32_KERN=YES
_SMP_CPUS=30
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License BSD3CLAUSE accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   milter-greylist-4.6.3 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.16.1.txz
[Ben-FreeBSD12amd64-default-job-03] Installing pkg-1.16.1...
[Ben-FreeBSD12amd64-default-job-03] Extracting pkg-1.16.1: .......... done
===>   milter-greylist-4.6.3 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of milter-greylist-4.6.3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD3CLAUSE accepted by the user
=> milter-greylist-4.6.3.tgz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch ftp://ftp.espci.fr/pub/milter-greylist/milter-greylist-4.6.3.tgz
milter-greylist-4.6.3.tgz                              289 kB 1428 kBps    00s
===> Fetching all distfiles required by milter-greylist-4.6.3 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by milter-greylist-4.6.3 for building
=> SHA256 Checksum OK for milter-greylist-4.6.3.tgz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by milter-greylist-4.6.3 for building
===>  Extracting for milter-greylist-4.6.3
=> SHA256 Checksum OK for milter-greylist-4.6.3.tgz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for milter-greylist-4.6.3
===>  Applying FreeBSD patches for milter-greylist-4.6.3 from /usr/ports/mail/milter-greylist/files
===========================================================================
=======================<phase: build-depends  >============================
===>   milter-greylist-4.6.3 depends on file: /usr/local/lib/libcrypto.so.11 - not found
===>   Installing existing package /packages/All/openssl-1.1.1i,1.txz
[Ben-FreeBSD12amd64-default-job-03] Installing openssl-1.1.1i,1...
[Ben-FreeBSD12amd64-default-job-03] Extracting openssl-1.1.1i,1: .......... done
===>   milter-greylist-4.6.3 depends on file: /usr/local/lib/libcrypto.so.11 - found
===>   Returning to build of milter-greylist-4.6.3
===========================================================================
=======================<phase: lib-depends    >============================
===>   milter-greylist-4.6.3 depends on shared library: libopendkim.so - not found
===>   Installing existing package /packages/All/opendkim-2.10.3_11.txz
[Ben-FreeBSD12amd64-default-job-03] Installing opendkim-2.10.3_11...
[Ben-FreeBSD12amd64-default-job-03] `-- Installing lua52-5.2.4...
[Ben-FreeBSD12amd64-default-job-03] |   `-- Installing libedit-3.1.20191231,1...
[Ben-FreeBSD12amd64-default-job-03] |   `-- Extracting libedit-3.1.20191231,1: .......... done
[Ben-FreeBSD12amd64-default-job-03] `-- Extracting lua52-5.2.4: ......... done
[Ben-FreeBSD12amd64-default-job-03] `-- Installing perl5-5.32.0_1...
[Ben-FreeBSD12amd64-default-job-03] `-- Extracting perl5-5.32.0_1: .......... done
[Ben-FreeBSD12amd64-default-job-03] `-- Installing unbound-1.13.0_1...
[Ben-FreeBSD12amd64-default-job-03] |   `-- Installing expat-2.2.10...
[Ben-FreeBSD12amd64-default-job-03] |   `-- Extracting expat-2.2.10: .......... done
[Ben-FreeBSD12amd64-default-job-03] |   `-- Installing libevent-2.1.12...
[Ben-FreeBSD12amd64-default-job-03] |   `-- Extracting libevent-2.1.12: .......... done
[Ben-FreeBSD12amd64-default-job-03] |   `-- Installing libnghttp2-1.42.0...
[Ben-FreeBSD12amd64-default-job-03] |   `-- Extracting libnghttp2-1.42.0: .......... done
===> Creating groups.
Using existing group 'unbound'.
===> Creating users
Using existing user 'unbound'.
[Ben-FreeBSD12amd64-default-job-03] `-- Extracting unbound-1.13.0_1: .......... done
[Ben-FreeBSD12amd64-default-job-03] Extracting opendkim-2.10.3_11: .......... done
=====
Message from opendkim-2.10.3_11:

--
In order to run this port, write your opendkim.conf and:

if you use sendmail, add the milter socket `socketspec' in
/etc/mail/<your_configuration>.mc:

INPUT_MAIL_FILTER(`dkim-filter', `S=_YOUR_SOCKET_SPEC_, F=T, T=R:2m')

or if you use postfix write your milter socket `socketspec' in
/usr/local/etc/postfix/main.cf:

smtpd_milters = _YOUR_SOCKET_SPEC_


And to run the milter from startup, add milteropendkim_enable="YES" in
your /etc/rc.conf.
Extra options can be found in startup script.

Note: milter sockets must be accessible from postfix/smtpd;
  using inet sockets might be preferred.
===>   milter-greylist-4.6.3 depends on shared library: libopendkim.so - found (/usr/local/lib/libopendkim.so)
===>   Returning to build of milter-greylist-4.6.3
===>   milter-greylist-4.6.3 depends on shared library: libmaxminddb.so - not found
===>   Installing existing package /packages/All/libmaxminddb-1.5.0.txz
[Ben-FreeBSD12amd64-default-job-03] Installing libmaxminddb-1.5.0...
[Ben-FreeBSD12amd64-default-job-03] Extracting libmaxminddb-1.5.0: .......... done
===>   milter-greylist-4.6.3 depends on shared library: libmaxminddb.so - found (/usr/local/lib/libmaxminddb.so)
===>   Returning to build of milter-greylist-4.6.3
===>   milter-greylist-4.6.3 depends on shared library: libspf2.so - not found
===>   Installing existing package /packages/All/libspf2-1.2.10_2.txz
[Ben-FreeBSD12amd64-default-job-03] Installing libspf2-1.2.10_2...
[Ben-FreeBSD12amd64-default-job-03] Extracting libspf2-1.2.10_2: .......... done
===>   milter-greylist-4.6.3 depends on shared library: libspf2.so - found (/usr/local/lib/libspf2.so)
===>   Returning to build of milter-greylist-4.6.3
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for milter-greylist-4.6.3
configure: loading site script /usr/ports/Templates/config.site
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking for flex... flex
checking lex output file root... lex.yy
checking lex library... -lfl
checking whether yytext is a pointer... yes
checking for bison... no
checking for byacc... byacc
checking for a BSD-compatible install... /usr/bin/install -c
checking for mkdep... mkdep
checking for rm... rm
checking for mv... mv
checking for test... test
checking for sed... (cached) /usr/bin/sed
checking for true... true
checking for touch... touch
checking if compiler accepts -Wall... yes
checking if compiler accepts -Werror... no
checking if ld accepts -R... yes
checking if ld accepts --rpath... yes
checking how to run the C preprocessor... cpp
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking for arpa/inet.h... (cached) yes
checking for fcntl.h... (cached) yes
checking for netinet/in.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking for sys/time.h... (cached) yes
checking syslog.h usability... yes
checking syslog.h presence... yes
checking for syslog.h... yes
checking for unistd.h... (cached) yes
checking for sys/param.h... (cached) yes
checking for netdb.h... (cached) yes
checking for getopt.h... (cached) yes
checking for sys/cdefs.h... (cached) yes
checking for arpa/nameser.h... (cached) yes
checking for stdbool.h... (cached) yes
checking sys/queue.h usability... yes
checking sys/queue.h presence... yes
checking for sys/queue.h... yes
checking for pid_t... (cached) yes
checking for size_t... (cached) yes
checking whether time.h and sys/time.h may both be included... yes
checking for res_state... yes
checking for vfork.h... (cached) no
checking for fork... (cached) yes
checking for vfork... (cached) yes
checking for working fork... yes
checking for working vfork... (cached) yes
checking for strftime... (cached) yes
checking for working memcmp... yes
checking for sys/select.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking types of arguments for select... int,fd_set *,struct timeval *
checking whether lstat correctly handles trailing slash... (cached) yes
checking whether stat accepts an empty string... no
checking for bzero... (cached) yes
checking for gettimeofday... (cached) yes
checking for malloc... (cached) yes
checking for inet_ntoa... (cached) yes
checking for strerror... (cached) yes
checking for select... (cached) yes
checking for socket... yes
checking for initgroups... yes
checking for strlcat... (cached) yes
checking for vsyslog... yes
checking for strcasestr... (cached) yes
checking for getaddrinfo... (cached) yes
checking for getnameinfo... (cached) yes
checking for pthread_create in -lpthread... yes
checking for SPF_server_new in -lspf2... yes
checking for dkim_init in -lopendkim -lcrypto... yes
checking for socket in -lsocket... no
checking for socket in -lsocket -lnsl... no
checking for inet_aton in -lresolv... no
checking for inet_pton in -lnsl... no
checking for res_ninit... yes
checking for res_ndestroy... yes
checking for res_nupdate... yes
checking for getaddrinfo... (cached) yes
checking for getnameinfo... (cached) yes
checking if <time.h> defines timeradd... yes
checking if -D_REENTRANT is needed to use localtime_r and strtok_r... no
checking if -D__EXTENSIONS__ is needed to use snprintf... no
checking for smfi_register in -lmilter... yes
checking for struct smfiDesc.xxfi_data... yes
checking if -lpthread is needed after -lmilter... no
checking if <sys/queue.h> is outdated... yes
checking if __RCSID can be used twice in the same source... yes
checking whether <pthreads.h> wants -pthread... no
checking whether you need -D_XOPEN_SOURCE to use libpthread... no
checking if -D_OSF_SOURCE is needed for IPV6 support... no
checking for struct sockaddr.sa_len... yes
checking for struct sockaddr_in6.sin6_scope_id... (cached) yes
checking if socklen_t is missing... no
checking for broken rwlock in libpthread... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating milter-greylist.spec
config.status: creating config.h
===========================================================================
=======================<phase: build          >============================
===>  Building for milter-greylist-4.6.3
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c milter-greylist.c -o milter-greylist.o
milter-greylist.c:2147:9: warning: promoted type 'int' of K&R function parameter is not compatible with the parameter type 'mode_t' (aka 'unsigned short') declared in a previous prototype [-Wknr-promoted-parameter]
        mode_t mode;
               ^
./milter-greylist.h:276:32: note: previous declaration is here
void mkparentdir(char *, mode_t);
                               ^
milter-greylist.c:3259:8: warning: passing 'const char *' to parameter of type 'char *' discards qualifiers [-Wincompatible-pointer-types-discards-qualifiers]
                                          priv->priv_ccode, 
                                          ^~~~~~~~~~~~~~~~
2 warnings generated.
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c pending.c -o pending.o
pending.c:877:14: warning: promoted type 'int' of K&R function parameter is not compatible with the parameter type 'sa_family_t' (aka 'unsigned char') declared in a previous prototype [-Wknr-promoted-parameter]
        sa_family_t family;
                    ^
./pending.h:119:69: note: previous declaration is here
int ipfromstring(char *, struct sockaddr *, socklen_t *, sa_family_t);
                                                                    ^
1 warning generated.
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c sync.c -o sync.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c dnsrbl.c -o dnsrbl.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c list.c -o list.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c macro.c -o macro.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c conf.c -o conf.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c store.c -o store.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c dump.c -o dump.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c spf.c -o spf.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c acl.c -o acl.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c urlcheck.c -o urlcheck.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c stat.c -o stat.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c clock.c -o clock.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c geoip.c -o geoip.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c fd_pool.c -o fd_pool.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c prop.c -o prop.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c ldapcheck.c -o ldapcheck.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c dkimcheck.c -o dkimcheck.o
dkimcheck.c:172:43: warning: passing 'char *' to parameter of type 'const unsigned char *' converts between pointers to integer types with different sign [-Wpointer-sign]
                priv->priv_dkim = dkim_verify(dkim_ptr, priv->priv_queueid,
                                                        ^~~~~~~~~~~~~~~~~~
/usr/local/include/opendkim/dkim.h:434:73: note: passing argument to parameter 'id' here
extern DKIM *dkim_verify __P((DKIM_LIB *libhandle, const unsigned char *id,
                                                                        ^
dkimcheck.c:181:9: warning: assigning to 'unsigned char *' from 'char *' converts between pointers to integer types with different sign [-Wpointer-sign]
        header = header_lf2crlf(name, value, &len);
               ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
2 warnings generated.
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c p0f.c -o p0f.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c spamd.c -o spamd.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c mx.c -o mx.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c ratelimit.c -o ratelimit.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c nsupdate.c -o nsupdate.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c brokenmfapi.c -o brokenmfapi.o
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c geoip2.c -o geoip2.o
=== Call make sequential for objects sensitive to that (current make='/usr/bin/make' MAKEFLAGS=' .MAKE.LEVEL.ENV=MAKELEVEL ARCH=amd64 CONFIGURE_MAX_CMD_LEN=524288 HAVE_COMPAT_IA32_KERN=YES OPSYS=FreeBSD OSREL=12.2 OSVERSION=1202000 _OSRELEASE=12.2-RELEASE-p2'):
/usr/bin/make -j 1 bld-seq
byacc -p`echo conf_yacc.c|/usr/bin/sed 's/^\([^_]\{1,\}_\).*$/\1/'` conf_yacc.y
mv y.tab.c conf_yacc.c
flex -oconf_lex.c conf_lex.l
byacc -p`echo dump_yacc.c|/usr/bin/sed 's/^\([^_]\{1,\}_\).*$/\1/'` dump_yacc.y
mv y.tab.c dump_yacc.c
flex -odump_lex.c dump_lex.l
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c conf_yacc.c -o conf_yacc.o
In file included from conf_yacc.y:2391:
conf_lex.c:1559:13: warning: misleading indentation; statement is not part of the previous 'if' [-Wmisleading-indentation]
            if ( ! (yy_state_buf) )
            ^
conf_lex.c:1557:9: note: previous statement is here
        if ( ! (yy_state_buf) )
        ^
conf_lex.c:2948:3: warning: misleading indentation; statement is not part of the previous 'if' [-Wmisleading-indentation]
                return yy_is_jam ? 0 : yy_current_state;
                ^
conf_lex.c:2945:2: note: previous statement is here
        if ( ! yy_is_jam )
        ^
2 warnings generated.
cc  -O2 -pipe  -I/usr/include -fstack-protector-strong -fno-strict-aliasing  -Wall -I/usr/include -I/usr/local/include -DUSE_GEOIP2 -I/usr/local/include -I/usr/local/include/opendkim -DHAVE_DATA_CALLBACK -DUSE_DNSRBL -DCONFFILE=\"/usr/local/etc/mail/greylist.conf\" -DDUMPFILE=\"/var/milter-greylist/greylist.db\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I. -c dump_yacc.c -o dump_yacc.o
In file included from dump_yacc.y:97:
dump_lex.c:824:13: warning: misleading indentation; statement is not part of the previous 'if' [-Wmisleading-indentation]
            if ( ! (yy_state_buf) )
            ^
dump_lex.c:822:9: note: previous statement is here
        if ( ! (yy_state_buf) )
        ^
dump_lex.c:1287:3: warning: misleading indentation; statement is not part of the previous 'if' [-Wmisleading-indentation]
                return yy_is_jam ? 0 : yy_current_state;
                ^
dump_lex.c:1284:2: note: previous statement is here
        if ( ! yy_is_jam )
        ^
2 warnings generated.
test -f .objseq-built || touch .objseq-built
sync || true
=== Linking milter-greylist:
cc -o milter-greylist milter-greylist.o pending.o sync.o dnsrbl.o list.o macro.o  conf.o store.o dump.o spf.o acl.o urlcheck.o stat.o clock.o  geoip.o fd_pool.o prop.o ldapcheck.o dkimcheck.o p0f.o  spamd.o mx.o ratelimit.o nsupdate.o brokenmfapi.o geoip2.o conf_yacc.o dump_yacc.o -Wl,-rpath,/usr/lib:/usr/local/lib -L/usr/lib -Wl,-rpath,/usr/local/lib -fstack-protector-strong  -L/usr/lib -Wl,--rpath=/usr/lib -L/usr/local/lib -Wl,--rpath=/usr/local/lib -L/usr/local/lib -Wl,--rpath=/usr/local/lib -L/usr/local/lib -Wl,--rpath=/usr/local/lib -lmaxminddb -lpthread -lpthread -lspf2 -lopendkim -lcrypto -lmilter
===========================================================================
=======================<phase: run-depends    >============================
===>   milter-greylist-4.6.3 depends on file: /usr/local/lib/libcrypto.so.11 - found
===========================================================================
=======================<phase: stage          >============================
===>  Staging for milter-greylist-4.6.3
===>   Generating temporary packing list
/bin/mkdir -p /wrkdirs/usr/ports/mail/milter-greylist/work/stage/usr/local/etc/mail
install  -m 444 /wrkdirs/usr/ports/mail/milter-greylist/work/milter-greylist-4.6.3/greylist.conf.5  /wrkdirs/usr/ports/mail/milter-greylist/work/stage/usr/local/man/man5/
install  -m 444 /wrkdirs/usr/ports/mail/milter-greylist/work/milter-greylist-4.6.3/milter-greylist.8  /wrkdirs/usr/ports/mail/milter-greylist/work/stage/usr/local/man/man8/
install  -s -m 555 /wrkdirs/usr/ports/mail/milter-greylist/work/milter-greylist-4.6.3/milter-greylist  /wrkdirs/usr/ports/mail/milter-greylist/work/stage/usr/local/libexec/
install  -m 0644 /wrkdirs/usr/ports/mail/milter-greylist/work/milter-greylist-4.6.3/greylist.conf  /wrkdirs/usr/ports/mail/milter-greylist/work/stage/usr/local/etc/mail/greylist.conf.sample
/bin/mkdir -p /wrkdirs/usr/ports/mail/milter-greylist/work/stage/usr/local/share/doc/milter-greylist
install  -m 0644 /wrkdirs/usr/ports/mail/milter-greylist/work/milter-greylist-4.6.3/README /wrkdirs/usr/ports/mail/milter-greylist/work/stage/usr/local/share/doc/milter-greylist/
/bin/mkdir -p /wrkdirs/usr/ports/mail/milter-greylist/work/stage/usr/local/share/examples/milter-greylist
install  -m 0644 /wrkdirs/usr/ports/mail/milter-greylist/work/milter-greylist-4.6.3/greylist.conf /wrkdirs/usr/ports/mail/milter-greylist/work/stage/usr/local/share/examples/milter-greylist/
====> Compressing man pages (compress-man)
===> Staging rc.d startup script(s)
===========================================================================
=======================<phase: package        >============================
===>  Building package for milter-greylist-4.6.3
===========================================================================
=>> Cleaning up wrkdir
===>  Cleaning for milter-greylist-4.6.3
build of mail/milter-greylist | milter-greylist-4.6.3 ended at Fri Jan  8 04:03:26 CET 2021
build time: 00:00:19
Comment 3 Henk Miltenburg 2021-01-09 20:01:07 UTC
I had the same problem. The problem seems to be related to GeoIP. Disabeling this (not a real solution) made the problem go away.
Comment 4 freebsd 2021-01-09 20:30:14 UTC
(In reply to Henk Miltenburg from comment #3)

Disable from what? It's not a milter-greylist tunable:

_FILE_COMPLETE_OPTIONS_LIST=CURL DKIM DOCS EXAMPLES LDAP P0F POSTFIX SPF
Comment 5 Henk Miltenburg 2021-01-10 08:12:48 UTC
You can choose this option by using 'make config'. If I select the option milter-greylist fails at the first invocation and dies. If I disable the option there are no issues.
Comment 6 freebsd 2021-01-11 17:42:50 UTC
(In reply to Henk Miltenburg from comment #5)

But, again:

+------------------------- milter-greylist-4.6.2_4 ----------------------------+                                                                                                                                             
                                                                                                                                           | +--------------------------------------------------------------------------+ |                                                                                                                                             
                                                                                                                                           | |+[x] CURL      curl support                                               | |                                                                                                                                             
                                                                                                                                           | |+[x] DKIM      DKIM support                                               | |                                                                                                                                             
                                                                                                                                           | |+[x] DOCS      Build and/or install documentation                         | |                                                                                                                                             
                                                                                                                                           | |+[x] EXAMPLES  Build and/or install examples                              | |                                                                                                                                             
                                                                                                                                           | |+[ ] LDAP      LDAP protocol support                                      | |                                                                                                                                             
                                                                                                                                           | |+[ ] P0F       P0F support                                                | |                                                                                                                                             
                                                                                                                                           | |+[ ] POSTFIX   Use Postfix instead of Sendmail                            | |                                                                                                                                             
                                                                                                                                           | |+[x] SPF       SPF support                                                |

Those are the options in 'make config', unless you mean an option in a dependency. Anyway, GeoIP is not installed on any of the servers running milter-greylist.

Committer? Idea?
Comment 7 m.tsatsenko 2021-01-11 23:21:03 UTC
Created attachment 221480 [details]
patch

Please try the patch attached. It updates the port to the recently released version 4.6.4.

If the problem persists I will probably have to disable geoip support and mark it BROKEN unless someone has a more viable solution.
Comment 8 freebsd 2021-01-12 09:19:48 UTC
(In reply to Henk Miltenburg from comment #5)

Sorry, my bad. I was testing in the systems ports tree (not updated) not the Poudriere mounted ports tree.
Comment 9 freebsd 2021-01-12 10:10:56 UTC
(In reply to m.tsatsenko from comment #7)

Applied the patch in Poudriere's ports tree, cleared the config (make rmconfig) to use the defaults (which include GeoIP) and it ran fine on FreeBSD 12.2 32/64. The only downside is the printing of

Jan 12 11:08:03 smtp-1 milter-greylist[68473]: GeoIP2 is not available

for every email received, but I'm going to switch GeoIP2 off anyway in the next Poudriere run. Not quite sure why it is set to build as a default option, but that's your call.

Thanks for patching, I think 4.6.4 can be committed.
Comment 10 freebsd 2021-01-12 10:13:45 UTC
(In reply to freebsd from comment #9)

As in: GeoIP2 has a paid subscription model now, I believe. Maybe time to toggle it to 'off by default'.
Comment 11 Trev 2021-01-12 12:09:58 UTC
(In reply to freebsd from comment #10)

No, it is not a "paid subscription model now". You just have to register to comply with some Californian (from memory) law about the anonymising IP addresses for privacy reasons (should someone have opted out of having their IP address geo-located ;)
Comment 12 Dirk Meyer freebsd_committer 2021-01-12 13:48:23 UTC
FreeBSD 12 quaterly

milter-greylist upgraded: 4.6.2_4 -> 4.6.3

all instances crashing with the first mail

kernel: pid 80096 (milter-greylist), jid 0, uid 26: exited on signal 6

 merge-quarterly is needed fo this fix.
Comment 13 Dirk Meyer freebsd_committer 2021-01-12 13:52:03 UTC
Waiting for maintainer approval to commit in to HEAD and quarterly
Comment 14 freebsd 2021-01-12 14:19:47 UTC
(In reply to Trev from comment #11)

I was looking at https://www.maxmind.com/en/geoip2-databases, which seems pretty price-driven to me. Or is GeoLite still alive?
Comment 15 Dirk Meyer freebsd_committer 2021-01-12 14:44:07 UTC
(In reply to freebsd from comment #14)
Still alive, If you agree to their licenses and restrictions at:

https://www.maxmind.com/en/geolite2/eula

You should get an licese key for download and update.

But I had switched to other sources.
Comment 16 Dirk Meyer freebsd_committer 2021-01-13 06:23:50 UTC
(In reply to Dirk Meyer from comment #13)
Waiting for maintainer approval to commit in to HEAD and quarterly
Comment 17 Morgan Davis 2021-01-13 17:15:17 UTC
Is there a hot workaround for installations that use the greylist package?
Comment 18 Dirk Meyer freebsd_committer 2021-01-13 17:43:17 UTC
(In reply to Morgan Davis from comment #17)

I downgraded by:

cd
fetch https://pkg.freebsd.org/FreeBSD:12:amd64/quarterly/All/milter-greylist-4.6.2_4.txz
pkg add -f /root/milter-greylist-4.6.2_4.txz
service milter-greylist start

Not sure for how long the old file will be available there.
Comment 19 Morgan Davis 2021-01-13 17:47:34 UTC
Grabbed it and installed. All is well again. Thank you for the fast response!
Comment 20 m.tsatsenko 2021-01-13 18:31:50 UTC
(In reply to Dirk Meyer from comment #16)
You have it
Comment 21 Dirk Meyer freebsd_committer 2021-01-13 19:50:38 UTC
Update is committed.
Sorry for the wrong bug number

MFH failed, as the version 4.6.2_4 is still valid in quaterly